Package org.tanukisoftware.wrapper.event

# Class WrapperEvent

java.lang.Object
java.util.EventObject
org.tanukisoftware.wrapper.event.WrapperEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `WrapperConsumableEvent`, `WrapperCoreEvent`, `WrapperLoggingEvent`, `WrapperRemoteControlEvent`, `WrapperServiceEvent`

public abstract class WrapperEvent extends EventObject
WrapperEvents are used to notify WrapperEventListeners of various wrapper related events.

For performance reasons, some event instances may be reused by the code which fires them off. For this reason, references to the event should never be referenced outside the scope of the WrapperListener.processEvent method.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WrapperEvent()`
Creates a new WrapperEvent.

## Method Summary

Modifier and Type
Method
Description
`long`
`getFlags()`
Returns a set of event flags for which the event should be fired.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrapperEvent

protected WrapperEvent()
Creates a new WrapperEvent.

## Method Details

### getFlags

public long getFlags()
Returns a set of event flags for which the event should be fired. This value is compared with the mask supplied when when a WrapperEventListener is registered to decide which listeners should receive the event.

If subclassed, the return value of the super class should usually be ORed with any additional flags.

Returns:
  a set of event flags.